org.apache.commons.math3.optim.nonlinear.scalar.noderiv

## Class CMAESOptimizer.DoubleIndex

- java.lang.Object
- - org.apache.commons.math3.optim.nonlinear.scalar.noderiv.CMAESOptimizer.DoubleIndex

- All Implemented Interfaces:
    java.lang.Comparable<CMAESOptimizer.DoubleIndex>
  Enclosing class:
    CMAESOptimizer

      private static class CMAESOptimizer.DoubleIndex
      extends java.lang.Object
      implements java.lang.Comparable<CMAESOptimizer.DoubleIndex>

  Used to sort fitness values. Sorting is always in lower value first order.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `index` Index into sorted array.
    `private double` | `value` Value to compare.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CMAESOptimizer.DoubleIndex(double value, int index)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(CMAESOptimizer.DoubleIndex o)`
    `boolean` | `equals(java.lang.Object other)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          private final double value

      Value to compare.

    - #### index

          private final int index

      Index into sorted array.

  - ### Constructor Detail

    - #### CMAESOptimizer.DoubleIndex

          CMAESOptimizer.DoubleIndex(double value,
                                    int index)

      Parameters:
        `value` - Value to compare.
        `index` - Index into sorted array.

  - ### Method Detail

    - #### compareTo

          public int compareTo(CMAESOptimizer.DoubleIndex o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<CMAESOptimizer.DoubleIndex>`

    - #### equals

          public boolean equals(java.lang.Object other)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright (c) 2003-2013 Apache Software Foundation